# lxdiff, a simple gui for diff
# generated for PCLinuxOS
# Author: D.M-Wilhelm (leiche)
# Release: 2011
%define prefix /usr
%define name lxdiff
%define version 0.12
%define release %mkrel 1
%define url www.pclinuxos.com

Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Text tools
URL:		%{url}
Source:		%{name}.tar.xz
Summary:	Simple GUI for diff
Summary(de):	Einfaches GUI für diff
BuildRoot:	%{_tmppath}/%{name}-buildroot
Requires:	gtkdialog, diffutils 	
Obsoletes:	%name < %version

%description
Diff compares two files and shows the differences, line by line.

#german
%description -l de
Diff vergleicht zwei Dateien und zeigt die Unterschiede Zeile für Zeile.

%prep

%setup -q -n %{name}

%install
rm -rf $RPM_BUILD_ROOT

# gui, bin, script
install -d -m 0755 %buildroot%_bindir
install -m 0755 %{name} %buildroot%_bindir/%{name} 

# starter
mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Name=%{name}
Comment=%{summary}
Exec=%{_bindir}/%{name}
Icon=%{name}.png
Terminal=false
Type=Application
Categories=X-MandrivaLinux-MoreApplications-Editors
Encoding=UTF-8
EOF

# icon
install -d -m 0755 %buildroot%_datadir/pixmaps
install -m 0644 %{name}.png %buildroot%_datadir/pixmaps/%{name}.png

# i18n - Internationalization - Internationalisierung
mkdir -p %{buildroot}%{_datadir}/locale/de/LC_MESSAGES
msgfmt -o  %{buildroot}%{_datadir}/locale/de/LC_MESSAGES/%{name}.mo $RPM_BUILD_DIR/%{name}/languages/%{name}-de_DE.po

%post
%{update_menus}
%{update_desktop_database}


%postun
%{clean_menus}
%{clean_desktop_database}

%files
%defattr(-,root,root)
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/locale/de/LC_MESSAGES/%{name}.mo


%clean
rm -rf %{buildroot}
rm -rf $RPM_BUILD_DIR/%{name}-%{version}

%changelog
* Sat Nov 19 2011 leiche <meisssw01 at gmail.com> 0.12-1pclos2011
- initial package
